Subject: Unwanted .exe appended to symlinks
From: fergus <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 09 Jul 2005 04:43:56 +0100

I use
	ln -s /cygdrive/c /c
	ln -s /cygdrive/f /f
etc as a convenient mechanism to arrange that the
shorthand /c/{pathname} can be used instead of the
longer /cygdrive/c/{pathname}. I only have to do this once and if I had
not happened for other reasons to need to re-create these links I would
not have noticed the following; but I did need to.
Following the recent upgrade to cygutils I find that the symlink is
created as /c.exe not /c and /f.exe not /f in cases where the drive
exists. Where it doesn't (e.g. it isn't plugged in but might be later so
I am just preparing the way) then
	ln -s /cygdrive/h /h
works as before: the symlink /h exists, and is not called /h.exe.
Fergus 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/